/*
 * $Id: eventEditMenu.h,v 1.2 2004/07/05 19:00:26 ksltuf Exp $
 *
 * Tag: $Name: v-0-0-1 $
 *
 * See the file COPYRIGHT for copyright information
 *
 * $Log: eventEditMenu.h,v $
 * Revision 1.2  2004/07/05 19:00:26  ksltuf
 * Added COPYRIGHT and cvs information
 *
 *
 */


#ifndef __EVENTEDITMENU_H_
#define __EVENTEDITMENU_H_

#include <vdr/osdbase.h>

#include "calEvent.h"

class cEventEditMenu : public cOsdMenu
{

 private:

   int         _type;
   const char* _calTypeTexts[3];
   bool        _newEvent;
   cCalEvent*  _ev;
   cCalEvent   _data;

   void updateEvent(void);


 public:

   cEventEditMenu(cCalEvent* ev, bool insert=false);

   virtual ~cEventEditMenu();

   virtual eOSState ProcessKey(eKeys key);


};

#endif
