/*
 * $Id: eventListMenu.h,v 1.2 2004/07/05 19:00:26 ksltuf Exp $
 *
 * Tag: $Name: v-0-0-1 $
 *
 * See the file COPYRIGHT for copyright information
 *
 * $Log: eventListMenu.h,v $
 * Revision 1.2  2004/07/05 19:00:26  ksltuf
 * Added COPYRIGHT and cvs information
 *
 *
 */


#ifndef __EVENTLISTMENU_H_
#define __EVENTLISTMENU_H_

#include <vdr/osdbase.h>

#include "calEvent.h"

class cEventListMenu : public cOsdMenu
{

 friend class cPimOsdMenu;

 public:

   // new menu of events for one day
   
   cEventListMenu(int day, int month, int year, int dayOfWeek);

   // new menu of all events (allows to edit them)

   cEventListMenu();

   ~cEventListMenu();

   virtual eOSState ProcessKey(eKeys key);

   cCalEvent* getCurrentEvent();


 private:

   eOSState Edit(void);
   eOSState New(void);
   eOSState Delete(void);

};

#endif
