/*
 * $Id: eventSetupMenu.c,v 1.2 2004/07/05 19:00:26 ksltuf Exp $
 *
 * Tag: $Name: v-0-0-1 $
 *
 * See the file COPYRIGHT for copyright information
 *
 * $Log: eventSetupMenu.c,v $
 * Revision 1.2  2004/07/05 19:00:26  ksltuf
 * Added COPYRIGHT and cvs information
 *
 *
 */


#include <vdr/menuitems.h>

#include "eventSetupMenu.h"
#include "pimSetup.h"


cEventSetupMenu::cEventSetupMenu()
{
  _osdOffsetX = globalSetup.osdOffsetX;
  _osdOffsetY = globalSetup.osdOffsetY;
  strcpy(_calCmd, globalSetup.calCmd);

  Add(new cMenuEditIntItem(tr("OSD Offset hor."),  &_osdOffsetX,-150, 150));
  Add(new cMenuEditIntItem(tr("OSD Offset vert."), &_osdOffsetY,-150, 150));

  Add(new cMenuEditStrItem(tr("cal commandline"), _calCmd, MAX_CAL_CHARS,
			   tr(FileNameChars)));
}

void cEventSetupMenu::Store(void)
{
  SetupStore("OsdOffsetX", _osdOffsetX);
  SetupStore("OsdOffsetY", _osdOffsetY);
  SetupStore("CalCommand", _calCmd);

  globalSetup.osdOffsetX = _osdOffsetX;
  globalSetup.osdOffsetY = _osdOffsetY;
  strcpy(globalSetup.calCmd, _calCmd);
}

